[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

[texlive-nonbin] 07/09: add a script to check font (links.dist) consistency



This is an automated email from the git hooks/post-receive script.

preining pushed a commit to branch master
in repository texlive-nonbin.

commit ca53c3f57c79fe99b2e0d0f6417b7a5863683d30
Author: Norbert Preining <preining@debian.org>
Date:   Sat Jan 2 22:05:36 2016 +0900

    add a script to check font (links.dist) consistency
---
 scripts/check-font-consistency | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/scripts/check-font-consistency b/scripts/check-font-consistency
new file mode 100644
index 0000000..76f56f9
--- /dev/null
+++ b/scripts/check-font-consistency
@@ -0,0 +1,41 @@
+#!/bin/bash
+#
+# check-font-consistency
+# Norbert Preining, public domain
+# TeX Live packaging for Debian
+# check that the link definitions in .links.dists are not out-of-date
+# by checking against files installed on the system and in the TL git/svn
+#
+for i in `find . -name \*.links.dist` ; do
+  echo "checking $i:"
+  cat $i | while read a b ; do
+    # a is in system, b is in texlive git
+    case $a in
+      usr/share/fonts/*) 
+        if ! [ -r "/$a" ] ; then
+          echo "missing $a"
+        fi
+        ;;
+    esac
+    case $b in 
+      usr/share/texlive/texmf-dist/fonts/opentype/*|usr/share/texlive/texmf-dist/fonts/truetype/*)
+        c=`echo $b | sed -e 's!^usr/share/texlive/!!'`
+        if ! [ -r "/src/TeX/texlive.git/Master/$c" ] ; then
+          echo "missing $b (as $c)"
+        fi
+        ;;
+    esac
+  done
+done
+
+# now check also the blacklist entries
+cat all/debian/cfg.d/font-ignore.cfg | while read a ; do
+  case $a in
+    blacklist\;file\;texmf-dist/fonts/opentype/*|blacklist\;file\;texmf-dist/fonts/truetype/*)
+      c=`echo $a | sed -e 's!blacklist;file;!!'`
+      if ! [ -r "/src/TeX/texlive.git/Master/$c" ] ; then
+        echo "blacklist error: $a"
+      fi
+      ;;
+  esac
+done

-- 
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/debian-tex/texlive-nonbin.git


Reply to: